Members or customers or users are the same thing. These are anyone who has purchased, enquired, or who has permission to login, or receive newsletters. This excludes administrative users.
https://api.cms-tool.net/webapps/api/member
| Name | Description | Example | Optional | Data type |
|---|---|---|---|---|
| data | The JSON you would like to POST. This can be POST content also | data =
{
"mbr_name": "name",
"mbr_email": "name@company.com"
}
|
Yes | json object |
| id | Fetch a specific member (aka mbr_id) | id=2334453 | Yes | int |
| mbr_email | Find a member by their email address | mbr_email=example@email.com | Yes | string |
| mbr_reference |
Find a member by their reference account id |
mbr_reference=abc | Yes | string |
| mbr_name |
Filter results based on member name or mbr_name (first and last name included) |
mbr_name=john+smith | Yes | string |
| mbr_company |
Search by company name instead. |
mbr_company=company | Yes | string |
| mbr_level |
Search member by their member level, |
mbr_level=100 | Yes | int |
| mbr_groupid |
Search/filter by member group ID |
mbr_groupid=1234 | Yes | int |
| includeMemberGroups |
Include a list of member groups, default true for single object |
includeMemberGroups=true | boolean | |
| includeAPIStatus |
Include Linked API and their data |
includeAPIStatus=true | boolean | |
| includeCustomData |
Include additional questions and answers, default true for single object |
includeCustomData=true | boolean | |
| includePassword | Include MD5 encrypted password data, hash etc | includePassword=true | boolean | |
| AllowDuplicateEmailAccounts | By default, member records are matched by ID or Email address, to ensure unique email accounts. If you really want duplicate email accounts, then add this parameter to bypass the email lookup, meaning any POST without an ID is treated as an INSERT> | AllowDuplicateEmailAccounts=true | boolean | |
| Key | Definition | Type | Format |
| mbr_name |
Members Name
Name of the member or customers. Primarily their personal contact name (required)
|
text
|
|
| cid |
Website ID
Internal ID
|
int
|
e.g. 123456
|
| mbr_addr |
Address First Line
Customer Address
|
text
|
|
| mbr_aff_hits |
Affililate Hits
Number of affiliate link click throughs... all time tally...
|
int
|
|
| mbr_balance |
Balance Current
Not used for all merchants
|
decimal
|
Precision: 10.2
|
| mbr_balance30days |
Balance 30days
Not used for all merchants
|
decimal
|
Precision: 10.2
|
| mbr_balance60days |
Balance 60days
Not used for all merchants
|
decimal
|
Precision: 10.2
|
| mbr_balance90days |
Balance 90days
Not used for all merchants
|
decimal
|
Precision: 10.2
|
| mbr_balance_bf |
Balance bf
Not used for all merchants
|
decimal
|
Precision: 12.2
|
| mbr_balance_lastentry |
Balance - Last Entry Timestamp
Date of the last item in the customer account history
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_birthdate |
Birth Date
We record the date of birth for some users, such as to offer special discounts on their birthday
|
date
|
e.g. 2025-12-31
|
| mbr_business_number |
Business number
Business Number
|
text
|
|
| mbr_callerid |
Caller ID
Telephone number in caller ID international format
|
text
|
|
| mbr_city |
Address City
The customer city
|
text
|
|
| mbr_company |
Company
The company or organisation to which this member belongs, optional in addition to the member name.
|
text
|
|
| mbr_country |
Address Country
The country where this member lives.
|
text
|
|
| mbr_created |
Timestamp Created
When was the account created
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_date_stale |
Timestamp stale
The date this member was considered stale, due to lack of activity after so many years
|
date
|
e.g. 2025-12-31
|
| mbr_debug |
mbr debug
Internal Use
|
text
|
|
| mbr_delivery_address |
Delivery address
Customers preferred delivery address street
|
text
|
|
| mbr_delivery_city |
Delivery city
Customers preferred delivery address city
|
text
|
|
| mbr_delivery_company |
Delivery company
Customers preferred delivery address company
|
text
|
|
| mbr_delivery_country |
Delivery country
Customers preferred delivery address country.
|
text
|
|
| mbr_delivery_email |
Delivery email
Customers preferred delivery address email
|
text
|
|
| mbr_delivery_name |
Delivery name
Customers preferred delivery address contact name
|
text
|
|
| mbr_delivery_phone |
Delivery phone
Customers preferred delivery address phone
|
text
|
|
| mbr_delivery_postcode |
Delivery postcode
Customers preferred delivery address postcode
|
text
|
|
| mbr_delivery_state |
Delivery state
Customers preferred delivery address state
|
text
|
|
| mbr_delivery_suburb |
Delivery suburb
Customers preferred delivery address suburb
|
text
|
|
| mbr_discount |
Discount Rate
A percentage discount rate applied globally to all retail product prices for this customer only
|
decimal
|
Precision: 5.2
|
| mbr_email |
Email
Members primary email address
|
text
|
|
| mbr_email_accounts |
Accounts Email
Alternative email address just for accounts related messages
|
text
|
|
| mbr_email_fail_reason |
Email fail reason
If email was detected as failed by our mail servers, then this message as per the logs
|
text
|
|
| mbr_email_fail_time |
Email fail time
If the email address failed during sending on our mail servers, then this was the time it happened
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_email_validated |
Email validation data
Email quality validation data
|
text
|
|
| mbr_expiry |
Expiry / Renewal
What is the expiry date for this user, when involved in a time based subscription
|
date
|
e.g. 2025-12-31
|
| mbr_followup |
Followup Date Due
When should we next contact this customer
|
date
|
e.g. 2025-12-31
|
| mbr_gender |
Gender
Gender of the customer, single chracter, eg M or F
|
char
|
|
| mbr_groups_summary |
Groups summary
A CSV list of all the groups this customer belongs to (read only)
|
text
|
|
| mbr_id |
ID
The primary ID of the member record. System generated serial integer (readonly)
|
Integer (Unique ID)
|
Max Len: 11
|
| mbr_ipaddr |
IP Address Legacy
LEGACY / DELETE
|
text
|
|
| mbr_ipaddress |
IP Address
IP Address of the user
|
inet
|
|
| mbr_jobtitle |
Job Title
Customers job title
|
text
|
|
| mbr_lang |
Language Preferred
Customers preferred language
|
text
|
|
| mbr_last_activity |
Timestamp last activity
Timestamp of the last human initiated activity, could be login, enquiry or purchase
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_last_login |
Timestamp last login
Timestamp of the last login
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_last_siteid |
Last Website Edited
Internal use, for which website was last edited by this user.
|
int
|
|
| mbr_level |
User Level
Security level of the customer, references the mbr_level table, 100 is a general member, 0 do not contact, 200 is an authorised level etc.
|
int
|
|
| mbr_logins |
Login Count
Count of logins all time
|
int
|
|
| mbr_message_to_member |
message to member
Special use case for a unqiue message to give to this user but not the same as the welcome message.
|
text
|
|
| mbr_mobile |
Phone Mobile
Mobile phone number
|
text
|
|
| mbr_notes |
Notes
Primary notes field for a customer. this notes field may show as an alert against the customer in mutliple pages
|
text
|
|
| mbr_order_count |
Lifetiime order count
Total order count in customer life cycle
|
int
|
|
| mbr_order_last |
Timestamp last order
Timestamp of the last order placed by this customer
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_order_total |
Lifetiime Order total
Total lifecycle customer value
|
decimal
|
Precision: 12.2
|
| mbr_password |
Password Encrypted
MD5 encrypted password field.
|
text
|
|
| mbr_phone |
Phone
Phone number of the customer
|
text
|
|
| mbr_points_balance |
Balance Points
Loyalty points balance
|
decimal
|
Precision: 10.2
|
| mbr_postcode |
mbr postcode
Postcode of the primary address
|
text
|
|
| mbr_preferred_card_id |
mbr preferred card id
Preferred credit card ID
|
int
|
|
| mbr_pricegrp |
Price Group
Price group, blank or price for retail, or priceA,priceB,priceC,priceD,priceE,priceF,priceG
|
text
|
|
| mbr_reference |
mbr reference
Customer Account number, often used to reference a third party system
|
text
|
|
| mbr_referred |
Referred By
Name of the organisation or website who referred this customer
|
text
|
|
| mbr_referredby |
Referred By ID
Affiliate ID, Integer ID references another member record who is recorded as the affiliate
|
int
|
|
| mbr_sales_rep_id |
mbr sales rep id
References another member record who is the sale representative and who would have administrative access to POS etc
|
int
|
|
| mbr_sechash |
mbr sechash
A short term hash that can be used for a customer to access their account via a one time key sent by email
|
text
|
|
| mbr_sechash_reset |
Timestamp Hash Reset
The date/time that the last hash was generated
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_security_group_email |
mbr security group email
An email address that connects multiple member records together, in some systems a customer needs more than 1 account, eg for each currency in unleashed
|
text
|
|
| mbr_settings_json |
Settings
Custom settings, mainly used for staff members
|
text
|
|
| mbr_source |
mbr source
From where did this customer originate, website, shop, etc
|
text
|
|
| mbr_state |
mbr state
State or Region of the customer address
|
text
|
|
| mbr_statements |
mbr statements
JSON structure representing a history of statements sent to the customer
|
json
|
|
| mbr_suburb |
mbr suburb
Suburb of the primary address
|
text
|
|
| mbr_terms_agreed |
Timestamp terms agreed
A timestamp when terms and conditions were last agreed
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_title |
Title
LEGACY / DELETE
|
text
|
|
| mbr_updated |
Timestamp updated via web
The date this member record was last updated
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_updated_via_api |
Timestamp updated via api
The date this member record was last updated from an external API
|
timestamp
|
e.g. 2025-12-31 23:59:59
|
| mbr_url |
Website URL
URL to the company website of this person
|
text
|
|
| mbr_utm_campaign |
UTM campaign
UTM campaign from first lead
|
text
|
|
| mbr_utm_medium |
UTM medium
UTM medium from first lead
|
text
|
|
| mbr_utm_source |
UTM source
UTM source from first lead
|
text
|
|
| mbr_welcome |
Welcome Message
A unique welcome message just for this user only, may have confidential data
|
text
|
Member records must belong to a status/member level, that indicates how powerful the user is, or how relevant the person is for future conversations. eg they can range from blocked/spammers up to general members, up to opt in members, up to authorised levels who can login and get special pricing. To get full breakdown of the member status use the reference/memberlevel endpoint or refer to our help docs with a full explanation of membership levels
To add a new member do not provide the member id. The rest of the information will be used to create a new member. It is a good idea to atleast provide the member email, name, phone and address while creating a new member. Member level should not be more than 500. To get a breakdown of member levels refer to Referene Endpoint /reference/memberlevel. You can create a Member to be Opt In member by providing OptIn name with value "yes". Email address is treated as a unique key, to ensure unique email accounts, with an optional override ?AllowDuplicateEmailAccounts=1
Example:
{
"mbr_name": "name",
"mbr_email": "abc@xyz.com",
"optIn": true
}
To update an existing member please provide either an existing member id, or reference, or email address.
Reference or Email address are assumed to be an alternative unique key when no ID is provided. It remains possible that duplicates may already exist, so our system will only select the first record it finds during a POST update. If reference is provided, then the email lookup is ignored.
If you provide the form post parameter ?AllowDuplicateEmailAccounts=1 then the email lookup step is ignored, and typically the record will then be inserted.
Rest of the JSON data will be used to update the member. You can update a Member to be Opt In member by providing OptIn name with value "yes".
Example:
{
"id": 1234
"mbr_name": "name",
"mbr_email": "abc@xyz.com",
"optIn": "yes"...
}
Members can belong to different groups which can be used for different purposes. To link a member to a group include memberGroups array in your body. You must include a group name or id. If group does not exist we will create a new group.
The below example will create a new member and link it to the Member Groups.
Example using group names:
{
"mbr_name": "name",
"mbr_email": "abc@xyz.com",
"memberGroups": [
"Auckland",
"Team 1"
]
}
{
"mbr_name": "name",
"mbr_email": "abc@xyz.com",
"memberGroups": [
{
"name": "group 2"
},
{
"id": 1234
}
]
}
If you want to delete group associations, then you will need to supply a complete array of member groups and add a request parameter, or a json data parameter (in top level) called "DeleteMissingArrayElements" and we will delete any items that are not in your array. If you use this feature, it could affect any use of arrays within the member object, not just the groups.
{"mbr_addr":"Suite 14,}
386 Richmond Road",
"mbr_id":3936780,
"mbr_lang":"en-GB",
"mbr_country":"New Zealand",
"mbr_order_last":"2021-07-13 17:20:38.026492",
"mbr_password":"abklflw2435nnk",
"mbr_loginfails":0,
"mbr_order_count":2,
"mbr_order_total":"62.50",
"mbr_balance":"0.00",
"mbr_balance60days":"0.00",
"mbr_jobtitle":"Software Developer",
"mbr_company":"Web Widgets Ltd",
"mbr_grp":"Shopping",
"mbr_balance90days":"0.00",
"mbr_uiver":"1",
"mbr_level":150,
"mbr_city":"Auckland",
"id":3936780,
"mbr_email_format":"H",
"memberGroups":[
{"name":"Enquiry Form",}
"id":28303
],
"mbr_mobile":"02101234567",
"mbr_points_balance":"0.00",
"mbr_postcode":"1021",
"mbr_email":"abc@xyz.com",
"mbr_groups_summary":"[Enquiry Form]",
"mbr_source":"Shopping",
"mbr_settings_json":
{}
,
"digestregularity":0,
"mbr_ipaddr":"172.31.25.20",
"mbr_logins":1,
"mbr_suburb":"Grey Lynn",
"mbr_sechash":"abcd435j",
"mbr_last_activity":"2021-10-06 12:39:15.232054",
"mbr_balance30days":"0.00",
"mbr_aff_hits":0,
"mbr_gender":"M",
"mbr_last_siteid":0,
"mbr_created":"2021-07-13 17:06:47.524542",
"mbr_name":"Test Name",
"mbr_updated":"2021-10-06 12:39:15.232054",
"mbr_last_login":"2021-08-05 14:28:48.806696",
"mbr_phone":"12345678",
"mbr_birthdate":"yyyy-mm-dd",
"mbr_referredby":0,
"cid":1111